Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.jaas
Class JaasAuthenticationToken

    java.lang.Object
      org.acegisecurity.providers.AbstractAuthenticationToken
          org.acegisecurity.providers.UsernamePasswordAuthenticationToken
              org.acegisecurity.providers.jaas.JaasAuthenticationToken

All Implemented Interfaces:
  Serializable, Principal, Authentication

    public class JaasAuthenticationToken

extends UsernamePasswordAuthenticationToken

UsernamePasswordAuthenticationToken extension to carry the Jaas LoginContext that the user was logged into

Author:
  Ray Krueger
See Also:
  Serialized Form

Constructor Summary
`JaasAuthenticationToken(Object principal, Object credentials, GrantedAuthority[] authorities, LoginContext loginContext)`
`JaasAuthenticationToken(Object principal, Object credentials, LoginContext loginContext)`

Method Summary
`LoginContext` | `getLoginContext()`

Methods inherited from class org.acegisecurity.providers.UsernamePasswordAuthenticationToken
`getAuthorities, getCredentials, getDetails, getPrincipal, isAuthenticated, setAuthenticated, setDetails`

Methods inherited from class org.acegisecurity.providers.AbstractAuthenticationToken
`equals, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`hashCode`

Constructor Detail

### JaasAuthenticationToken

    public JaasAuthenticationToken(Object principal,
                                   Object credentials,
                                   LoginContext loginContext)

### JaasAuthenticationToken

    public JaasAuthenticationToken(Object principal,
                                   Object credentials,
                                   GrantedAuthority[] authorities,
                                   LoginContext loginContext)

Method Detail

### getLoginContext

    public LoginContext getLoginContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.